| Home | Libraries | People | FAQ | More

## Function template lower_bound

boost::compute::lower_bound

## Synopsis

    // In header: <boost/compute/algorithm/lower_bound.hpp>

    template<typename InputIterator, typename T>
      InputIterator
      lower_bound(InputIterator first, InputIterator last, const T & value,
                  command_queue & queue = system::default_queue());

## Description

Returns an iterator pointing to the first element in the sorted range [`first`, `last`) that is not less than `value`.

Space complexity: \Omega(1)

See Also: upper_bound()